Bug 59909 - NFSv3 not *really* supported
NFSv3 not *really* supported
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: nfs-server (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-14 13:29 EST by Chris Ricker
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-14 13:29:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-02-14 13:29:14 EST
Using two RH 7.2 boxes with the 2.4 kernel, attempts to mount NFS over TCP fail,
but the same attempt over UDP works:

station14# mount -o tcp server1:/export/kickstart /mnt/kickstart
nfs server reported server unavailable: Address already in use
station14# mount server1:/export/kickstart /mnt/kickstart
station14#

Not only is the NFSv3 implementation broken, but the error messages are
extremely bizarre.  What about "Address already in use" indicates "server does
not support TCP"?
Comment 1 Michael K. Johnson 2002-03-27 18:26:56 EST
NFS/TCP is reported to function in later kernels, and will probably
function in an upcoming release.

You can, if you like, test our skipjack beta to confirm.
Comment 2 Chris Ricker 2002-03-27 23:00:15 EST
It doesn't work with 2.4.18-0.4 on both server and client.

And it still fails with the completely bogus error message.
Comment 3 Seth Vidal 2002-04-13 01:03:34 EDT
2.4.18-0.13 also doesn't work.
though I would be eternally grateful if y'all would patch in neil's server-side
tcp fixes.


Note You need to log in before you can comment on or make changes to this bug.